Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
OpenVolumeMesh::GeometryKernel< VecT, TopologyKernelT > Class Template Reference
Inheritance diagram for OpenVolumeMesh::GeometryKernel< VecT, TopologyKernelT >:

## Public Types
typedef VecT | PointT
typedef TopologyKernelT | KernelT

## Public Member Functions
| GeometryKernel ()
| Constructor.
| ~GeometryKernel ()
| Destructor.
virtual VertexHandle | add_vertex ()
| Override of empty add_vertex function.
VertexHandle | add_vertex (const VecT &_p)
| Add a geometric point to the mesh.
void | set_vertex (const VertexHandle &_vh, const VecT &_p)
| Set the coordinates of point _vh.
const VecT & | vertex (const VertexHandle &_vh) const
| Get point _vh's coordinates.
virtual VertexIter | delete_vertex (const VertexHandle &_h)
virtual void | collect_garbage ()
virtual void | swap_vertices (VertexHandle _h1, VertexHandle _h2)
virtual void | clear (bool _clearProps=true)
PointT::value_type | length (const EdgeHandle &_eh) const
PointT | vector (const EdgeHandle &_eh) const
PointT | barycenter (const EdgeHandle &_eh) const
PointT | barycenter (const FaceHandle &_fh) const
PointT | barycenter (const CellHandle &_ch) const
void | clone_vertices (std::vector< VecT > &_copy) const
void | swap_vertices (std::vector< VecT > &_copy)

## Protected Member Functions
virtual void | delete_multiple_vertices (const std::vector< bool > &_tag)

## Private Attributes
std::vector< VecT > | vertices_

## Detailed Description

### template<class VecT, class TopologyKernelT = TopologyKernel>
class OpenVolumeMesh::GeometryKernel< VecT, TopologyKernelT >

Definition at line 55 of file GeometryKernel.hh.

The documentation for this class was generated from the following file:

- libs_required/OpenVolumeMesh/src/OpenVolumeMesh/Core/GeometryKernel.hh